%global momorel 1

Name:           sassc
Version:        3.5.0
Release:        %{momorel}m%{?dist}
Summary:        Wrapper around libsass to compile CSS stylesheet

License:        MIT
Group:		System Environment/Libraries
URL:            http://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/%{version}/%{name}-%{version}.tar.gz
NoSource:       0

# libsass is built as a shared library.
Patch0:         %{name}-3.5.0-build.patch

BuildRequires:  libsass-devel >= %{version}
BuildRequires:  gcc-c++

%description
SassC is a wrapper around libsass used to generate a useful command-line
application that can be installed and packaged for several operating systems.


%prep
%setup -q
%patch0 -p1


%build
autoreconf -ivf 
%configure build-shared \
    LDFLAGS="$RPM_OPT_FLAGS" \
    CFLAGS="$RPM_OPT_FLAGS" \
    CXXFLAGS="$RPM_OPT_FLAGS"
%make


%install
rm -rf %{buildroot}
install -p -m755 -D sassc %{buildroot}%{_bindir}/%{name}


%files
%doc LICENSE
%doc Readme.md
%{_bindir}/%{name}


%changelog
* Mon Sep 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.5.0-1m)
- initial commit Momonga Linux
- disable tests

* Thu Jul 19 2018 Kevin Fenzi <kevin@scrye.com> - 3.5.0-1
- Upgrade to 3.5.0, tests 3.5.4. 
- Fixes FTBFS.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Aurelien Bompard <abompard@fedoraproject.org> - 3.4.5-2
- Require the same libsass version

* Mon Jul 24 2017 Aurelien Bompard <abompard@fedoraproject.org> - 3.4.5-1
- Version 3.4.5: https://github.com/sass/sassc/releases/tag/3.4.5

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Aurelien Bompard <abompard@fedoraproject.org> - 3.4.1-1
- Version 3.4.1: https://github.com/sass/sassc/releases/tag/3.4.1

* Mon Dec 12 2016 Aurelien Bompard <abompard@fedoraproject.org> - 3.4.0-1
- Version 3.4.0: https://github.com/sass/sassc/releases/tag/3.4.0

* Tue Aug 23 2016 Aurelien Bompard <abompard@fedoraproject.org> - 3.3.6-1
- initial package
